<?php

/**
* Gavick Image Slide I
* @package Joomla!
* @Copyright (C) 2009 Gavick.com
* @ All rights reserved
* @ Joomla! is Free Software
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
* @version $Revision: 1.0.0 $
**/

// access restriction
defined('_JEXEC') or die('Restricted access');
// vars
$highest_layer = 0;
$URI = JURI::getInstance();

if (!function_exists('htmlspecialchars_decode')) {
    function htmlspecialchars_decode($str, $options="") {
        $trans = get_html_translation_table(HTML_SPECIALCHARS, $options);

        $decode = ARRAY();
        foreach ($trans AS $char=>$entity) {
                $decode[$entity] = $char;
        }

        $str = strtr($str, $decode);

        return $str;
    }
}

?>

<div id="gk_is-<?php echo $this->ID;?>" class="gk_is_wrapper gk_is_wrapper-template">

	<div class="gk_is_preloader"></div>
	
	<div class="gk_is_image" style="height: <?php echo $this->config["module_height"]; ?>px;">
		<?php for($i = 0; $i < count($this->slides); $i++) : ?>
			<?php 
			
				// cleaning variables
				unset($path, $title, $link);
				// creating slide path
				$path = $URI->root().'components/com_gk3_photoslide/thumbs_big/'.$this->slides[$i]["filename"];
				// creating slide title
				$title = $this->slides[$i]["title"];
				// creating slide link
				$link = ($this->slides[$i]["link_type"] != 0) ? JRoute::_(ContentHelperRoute::getArticleRoute($this->slides[$i]["article"], $this->slides[$i]["cid"], $this->slides[$i]["sid"])) : $this->slides[$i]["link"];	
				
			?>
			
			<div class="gk_is_slide" style="margin-left: -<?php echo floor($this->settings['image_x'] / 2); ?>px; margin-top: <?php echo $this->config['image_y']; ?>px; z-index: <?php echo $i+1; ?>;" title="<?php echo $title; ?>"><?php echo $path; ?><a href="<?php echo $link; ?>">link</a></div>
			
		<?php endfor; ?>
		
		<?php if($this->config['show_text_block'] == "true") : ?>
		<div class="gk_is_text" style="width: <?php echo $this->config['text_block_width']; ?>px;top: <?php echo $this->config['text_block_y']; ?>px;left: <?php echo $this->config['text_block_x']; ?>px;"></div>
		<?php endif; ?>
		
		
		<div class="gk_is_pagination">
			<?php if($this->config['pagination'] == "true") : ?>
			<div class="gk_is_prev">&laquo;</div>
			<?php endif; ?>
			<div class="gk_is_scale">
				<div class="gk_is_progress"></div>
			</div>
			<?php if($this->config['pagination'] == "true") : ?>
			<div class="gk_is_next">&raquo;</div>
			<?php endif; ?>
		</div>
	</div>
	
	<?php if($this->config['show_text_block'] == "true") : ?>
	<div class="gk_is_text_data">
		<?php for($i = 0; $i < count($this->slides); $i++) : ?>
		
		<?php 
		
			// cleaning variables
			unset($title, $link, $date);
			// creating slide title
			$content = htmlspecialchars_decode($this->slides[$i]["content"]);
			$title = $this->slides[$i]["title"];
			// creating slide link
			$link = ($this->slides[$i]["link_type"] != 0) ? JRoute::_(ContentHelperRoute::getArticleRoute($this->slides[$i]["article"], $this->slides[$i]["cid"], $this->slides[$i]["sid"])) : $this->slides[$i]["link"];
			
		?>
		
		<div class="gk_is_text_item">
			<div class="gk_is_text_item_wrap">
				<p><a href="<?php echo $link; ?>"><?php echo $content; ?></a></p>
			</div>
		</div>
		<?php endfor; ?>
	</div>
	<?php endif; ?>
</div>