<?php

/*
#------------------------------------------------------------------------
# Pixellove - #4 2011 template (for Joomla 1.5)
#
# Copyright (C) 2007-2010 Gavick.com. All Rights Reserved.
# License: Copyrighted Commercial Software
# Website: http://www.gavick.com
# Support: support@gavick.com   
#------------------------------------------------------------------------ 
# Based on T3 Framework
#------------------------------------------------------------------------
# Copyright (C) 2004-2009 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
# @license - GNU/GPL, http://www.gnu.org/copyleft/gpl.html
# Author: J.O.O.M Solutions Co., Ltd
# Websites: http://www.joomlart.com - http://www.joomlancers.com
#------------------------------------------------------------------------
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
$this->_basewidth = 20;
$positions = array (
	'right1'				=>'right1',
	'right2'				=>'right2',
	'right-mass-top'		=>'right_top',
	'right-mass-bottom'		=>'right_bottom',
	'content-mass-top'		=>'top',
	'content-mass-bottom'	=>'bottom',
	'content-top'			=>'adv_top',
	'content-bottom'		=>'adv_bottom',
	'inset1'				=>'inset1',
	'inset2'				=>'inset2'
);

$this->customwidth('right', $this->_tpl->params->get("right_column"));
$this->customwidth('right2', $this->_tpl->params->get("right2_column"));
$this->customwidth('inset1', $this->_tpl->params->get("inset1_column"));
$this->customwidth('inset2', $this->_tpl->params->get("inset2_column"));

$this->definePosition ($positions);
$this->loadBlock('definitions');

$user =& JFactory::getUser();
// getting User ID
$userID = $user->get('id');
// defines if register is active
define('GK_REGISTER', ($this->countModules('register') ? $userID == 0 : false));
// defines if login is active
define('GK_LOGIN', $this->countModules('login'));

?>
<?php if ($this->isIE()) : ?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<?php else : ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<?php endif; ?>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>">
<head>
<?php 
    $this->loadBlock('head'); 
    $this->useCache($this->getParam('css_compress'), $this->getParam('css_cache'));
?>
</head>

<body id="bd" class="fs<?php echo $this->getParam(GK_TOOL_FONT);?> <?php echo $this->browser();?>">
<?php if($this->isIE6() && $this->_tpl->params->get('ie6bar') == 1) : ?>
<div id="infobar">
      <a href="http://browsehappy.com"><?php echo JText::_('IE6_BAR'); ?></a>
</div>
<?php endif; ?>

<?php $this->loadBlock('nav'); ?>

<div id="mainPage" class="main clear">
	<!-- MAIN CONTAINER -->
	<div id="gk-mainbody" style="width:100%">
	    <?php $this->loadBlock('main.right') ?>
	    <?php $this->loadBlock('right') ?>
	</div>
</div>

<jdoc:include type="modules" name="debug" />
</body>
</html>